body > header > nav {
  .line-1 {
    background-color: #0732DE;
    position: relative;

    .container { position: relative; }
  }

  .navbar-brand {
    display: flex;
    align-items: center;
    height: 3rem;
    padding: .5rem 0;
    margin-left: $navbar-nav-link-padding-x;

    &, &:focus, &:hover { color: $white; }

    svg { height: 1.5rem; }

    .slogan {
      font-size: $font-size-sm;
      font-weight: $font-weight-base;

      @include media-breakpoint-down(sm) {
        display: none;
      }

      &::before {
        content: '/';
        margin: 0 .5rem;
      }
    }
  }

  .navbar-toggler {
    position: absolute;
    right: $spacer;
    top: .25rem;
    border: none;
    padding: .25rem .5rem;
    color: rgba($white, .62);
    transition: color 300ms ease-in-out;

    &:hover { color: $white; }

    svg {
      width: 2rem;
      height: 2rem;
    }
  }

  .line-2 {
    background-color: $white;
    @extend .shadow-sm;

    .offcanvas {
      background-color: $gray-900;
      padding: 8px 0;
    }

    .offcanvas-body {
      align-items: center;
    }

    .container-lg {
      @include media-breakpoint-up(lg) {
        display: flex;
        align-items: center;

        .offcanvas { order: 1; }
        .user-nav { order: 2; }
      }
    }
  }

  .navbar-nav {
    li {
      @extend .nav-item;

      &:not(:first-child) { margin-left: map-get($spacers, 1); }

      a {
        @extend .nav-link;
        padding-left: $navbar-nav-link-padding-x;
        padding-right: $navbar-nav-link-padding-x;
        color: $gray-900;
        font-weight: $font-weight-semibold;

        &:hover, &.active { color: $blue-500; }
      }
    }
  }

  .search-form {
    margin-left: auto;

    > div {
      flex-direction: row;
      gap: gap(1);
    }

    .form-type-textfield {
      margin: 0;

      input {
        @extend .form-control;
        margin: 0;
        height: 2.5rem;
      }
    }
  }
}

.user-account,
.user-messages,
.user-login,
.user-register,
.user-nav-more {
  margin-left: map-get($spacers, 1);
  color: $gray-900;

  @include media-breakpoint-up(sm) {
    margin-left: map-get($spacers, 2);
  }

  &:hover { color: $blue-500; }

  > a {
    @extend .btn;
    @extend .btn-link;
    padding: .5rem;
    color: $gray-900;
    transition: color 300ms ease-in-out;

    &:hover { color: $blue-500; }

    svg {
      width: 1.5rem;
      height: 1.5rem;
    }
  }
}

.user-account,
.user-messages,
.user-login,
.user-register,
.user-nav-more,
.search-form {
  > a,
  button {
    @extend .btn;
    @extend .btn-link;
    padding: .5rem;
    color: $gray-900;
    transition: color 300ms ease-in-out;
    height: 2.5rem;

    &:hover { color: $blue-500; }

    svg {
      width: 1.5rem;
      height: 1.5rem;
    }

    svg, img { display: block; }
  }
}

.user-nav {
  display: flex;

  @include media-breakpoint-down(lg) {
    position: absolute;
    right: $spacer * 4;
    top: .125rem;

    @include media-breakpoint-up(sm) {
      right: map-get($spacers, 6);
    }

    a:not(.dropdown-item), button {
      color: $gray-200;

      &:hover { color: $white; }
    }

    .user-account {
      img { box-shadow: 0 0 0 2px $gray-200; transition: all 300ms ease-in-out; }
      &:hover img { box-shadow: 0 0 0 2px $white; }
    }
  }

  &-more {
    @include media-breakpoint-down(lg) {
      display: none;
    }
  }
}

.user-account img { @extend .rounded-circle; }

.user-messages {
  position: relative;

  .unread-messages {
    border-radius: $border-radius-pill;
    font-size: $font-size-xs;
    background-color: $red;
    color: $white;
    position: absolute;
    top: .25rem;
    right: .25rem;
    padding: .375rem;
  }
}

.offcanvas.show {
  .offcanvas-body {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  .search-form { order: 1; }
  .navbar-nav  { order: 2; }
  .menu-extra  { order: 3; }

  .search-form { margin: 0; }

  .navbar-nav {
    margin-top: $spacer;

    li { margin: 0; }
  }

  a, button {
    color: $gray-200;

    &:hover { color: $white; }
  }
}

.menu-extra {
  @include media-breakpoint-up(lg) {
    display: none;
  }

  .menu-title {
    margin-left: map-get($spacers, 2);
    font-size: $h5-font-size;
    color: $white;
  }

  a[href='/user/logout'] {
    margin-top: $spacer;
  }
}
